Subject: RE: [nemo] Multiple egress/homeing operations in MRTP/PSBU

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 19 May 2003 14:38:06 +0100

> 
> ----------
> Tarzan
> 
>   - a MR has CoA1, CoA2 and a Prefix, And there is a sigle HA.
> 
>   If a MR has 2 CoA, MR bind only the primary one.  If CoA1 is
>   primary, then MR sends BU using CoA1.
> 
>   <extension>
>   We can use same mechanism as "draft-wakikawa-mobileip-multiplecoa"
>   for Load Sharing.  Please refer to [1].

Right, this is what I call Tarzan

>   </extension>
> 
> ----------
> Jet-Set
> 
>   - a MR has CoA1, CoA2 and a Prefix, And there are HA1 and HA2.
> 
>   Maybe a MR know the list of HAs by using DHAAD, and MR will decide
>   that the primary CoA to each HA. If MR decide that CoA1 is primary
>   to HA1, then MR sends BU using CoA1 to HA1. And MR decide that CoA2
>   is primary to HA2, then MR sends BU using CoA2 to HA2. May be we can
>   keep such kind of BU list.
>   

I plain MIP, the second registration should not be accepted, even on a
different HA. On top of that, we try to avoid the concept of home
network and make the HAs potentially hops away from each other.

>   If you don't have any policy to decide the primary one, it's gonna
>   be same case as source address selection, like round-robin
>   algorithm.
> 
>   <extension>
>   we can chose a primary CoA with some policy from there restriction
>   [security, access control, reachability,...].  In this case, we may
>   investigate new specification to nemo spec. For exmaple, MR has this
>   kind of policy,
> 
>   priority | high         low
>   ---------|--------------------------
>      HA1   | WirelessLAN  PDC    
>      HA2   | PDC          WirelessLAN
> 
>   When WirelessLAN and PDC are available, the primary CoA for HA1 is
>   CoA of WirelessLAN, and the primary for HA2 is CoA of PDC. When
>   WirelessLAN is down, the primary CoA for HA1 will be CoA of PDC.
>   </extension>
> 

What I have in mind is to make sure that if the MR and the correspondent
are in NY, then the MR makes sure that the HA in NY is used as opposed
to the one in Paris... For instance by using the MRHA tunnel from which
the correspondent's packets arrive to respond. 

> ----------
> Shinkansen
> 
>   - MR1 has CoA1, MR2 has CoA2 and a Prefix advertised by MR1 and
>     MR2. And there is a HA.
> 
>   Each MR register own BU to a HA. HA has two binding corresponding to
>   a Prefix. HA choose the binding by using round-robin algorism.
>   FOr example, MR1 has H@1, MR2 has H@2, then a HA has following BC.
> 
>   MIP binding cache
>     H@1 -> CoA1
>     H@2 -> CoA2
> 
>   NEMO binding cache
>     Prefix -> H@1 (use round
>     Prefix -> H@2  robin algorism)
> 
>   If a HA receive a packet destinated to example::beef. HA search
>   example::beef in NEMO binding cache at first, If found, search
>   corresponding H@ in MIP binding cache and act as NEMO HA.  If not
>   found, search example::beef in MIP binding cache and act as MIP HA.
> 
>   <extension>
>   One idea of Load Sharing, a HA has the policy to decide which MR is
>   higher. Maybe a operator of HA set the priority statically, like MR1
>   is higher than MR2.
> 
>   If users/owner of MR want to decide the priority statically, users
>   can put the policy to each MR, and MRs can send BU with the
>   priority. 
> 
>   If you act it dynamically, we need more concerns ;-)
>   </extension>
> 
> 
> ----------
> Double-bed
> 
>   - MR1 has CoA1 and advertise Prefix1, MR2 has CoA2 and advertise
>     Prefix2. And there is a HA.
> 
>   Each MR register own BU to a HA. HA has two binding Prefix1->CoA1
>   and Prefix2->CoA2. MNNs act source address selection.
> 
> 
> [1] http://www.nal.motlabs.com/pipermail/nemo/2003-April/000575.html
> 
> 
> thanks,
> Koshiro
>